Page MenuHomePhabricator

Unable to log in into gerrit: "Cannot assign user name "ashley" to account <some number>; name already in use."
Closed, ResolvedPublic

Description

Literally happened for the first time a moment ago; I guess this is somehow related to the fact I changed my primary email address everywhere a while ago.
With each login attempt the <some number> increases by one; it was originally 5518. I further verified that I've got the right password by attempting to log in with an obviously incorrect one, which resulted in a plain "Incorrect username or password" message, as you'd expect.

Event Timeline

ashley created this task.Dec 3 2017, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2017, 6:31 PM

Please check T152640 for workarounds and report back. Thanks!

ashley added a comment.Dec 3 2017, 6:58 PM

Please check T152640 for workarounds and report back. Thanks!

Thanks for the suggestion, but alas, no dice. :-( I've always had ashley as the shell name (as reported on Special:Preferences on wikitech etc.) and Jack Phoenix as the account's on-wiki name as well as gerrit login name. Attempting to use ashley or Ashley with the correct password will result in an "Invalid username or password" error, which doesn't surprise me; attempting to use Jack Phoenix or even jack phoenix as the gerrit login name will result in the error mentioned in this task's title.

Paladox added a subscriber: Paladox.Dec 3 2017, 7:17 PM

Your external id is most likly messed up in the db and will need fixing by someone with access to it.

A online reindex will also need to be performed.

The capital issue was fixed so Ashley and ashley wont work if the external id is missing from the db or messed up.

ashley added a subscriber: demon.Dec 8 2017, 8:27 AM

@demon Could you look into this? Thanks in advance!

demon added a comment.Dec 16 2017, 5:25 PM

I'm sooooooo so so so so sorry for letting this slip. I've been hella busy and the task completely slipped my mind.

You should be good to go now :)

I'm sooooooo so so so so sorry for letting this slip. I've been hella busy and the task completely slipped my mind.
You should be good to go now :)

No worries, it's perfectly understandable since it's the holiday season and all. :)

That being said, I'll note for the record that unfortunately I still am not able to log into gerrit -- getting the same error. :-/ (I pinged you on IRC earlier about this, but just noting it down here as well.)

Paladox triaged this task as High priority.Dec 18 2017, 2:08 AM

Setting this to high so that it is more noticeable :).

@Paladox: The Priority field does not express noticeability. It expresses urgency. [Nothing to discuss here.]

Ok, I think I fixed it properly this time <3

ashley closed this task as Resolved.Dec 21 2017, 1:26 AM
ashley assigned this task to demon.

Ok, I think I fixed it properly this time <3